.ps-668ae889-specs-list {
    list-style: none;
    padding: 0;
    margin: 0;
    display: flex;
    flex-direction: column;
}

.ps-668ae889-spec-item {
    display: flex;
    justify-content: space-between;
    align-items: center;
    padding: 10px 0;
}

.ps-668ae889-spec-label-wrap {
    display: flex;
    align-items: center;
}

.ps-668ae889-spec-icon {
    display: inline-flex;
    align-items: center;
    justify-content: center;
    margin-right: 8px;
}

.ps-668ae889-spec-icon svg {
    display: block;
}

.ps-668ae889-spec-label {
    font-weight: bold;
}

.ps-668ae889-spec-value {
    text-align: right;
}